interface Accessibility.IAccessible:

   def public property accParent as System.Object
      get.

   def public property accChildCount as integer
      get.

   def public property accChild as System.Object
      get.

   def public property accName as character
      get.
      set.

   def public property accValue as character
      get.
      set.

   def public property accDescription as character
      get.

   def public property accRole as System.Object
      get.

   def public property accState as System.Object
      get.

   def public property accHelp as character
      get.

   def public property accHelpTopic as integer
      get.

   def public property accKeyboardShortcut as character
      get.

   def public property accFocus as System.Object
      get.

   def public property accSelection as System.Object
      get.

   def public property accDefaultAction as character
      get.

   method public void accSelect(input flagsSelect as integer, input varChild as System.Object).

   method public void accLocation(input pxLeft as integer, input pyTop as integer, input pcxWidth as integer, input pcyHeight as integer, input varChild as System.Object).

   method public System.Object accNavigate(input navDir as integer, input varStart as System.Object).

   method public System.Object accHitTest(input xLeft as integer, input yTop as integer).

   method public void accDoDefaultAction(input varChild as System.Object).

end interface.
