class ComponentFactory.Krypton.Navigator.NavigatorStack
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property CheckButtonStyle as ComponentFactory.Krypton.Toolkit.ButtonStyle
      get.
      set.

   def public property BorderEdgeStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle
      get.
      set.

   def public property StackAnimation as logical
      get.
      set.

   def public property StackOrientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property StackAlignment as ComponentFactory.Krypton.Toolkit.RelativePositionAlign
      get.
      set.

   def public property ItemOrientation as ComponentFactory.Krypton.Toolkit.ButtonOrientation
      get.
      set.

   def public property StackMapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property StackMapText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property StackMapExtraText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   constructor public NavigatorStack(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetStackAnimation():
   end method.

   method public final void ResetStackOrientation():
   end method.

   method public final void ResetStackAlignment():
   end method.

   method public final void ResetItemOrientation():
   end method.

   method public final void ResetStackMapImage():
   end method.

   method public final void ResetStackMapText():
   end method.

   method public final void ResetStackMapExtraText():
   end method.

end class.
