class ComponentFactory.Krypton.Toolkit.KryptonContextMenu
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable:

   def public property Images as ComponentFactory.Krypton.Toolkit.ContextMenuImages
      get.

   def public property StateCommon as ComponentFactory.Krypton.Toolkit.PaletteContextMenuRedirect
      get.

   def public property StateDisabled as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemState
      get.

   def public property StateNormal as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemState
      get.

   def public property StateChecked as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemStateChecked
      get.

   def public property StateHighlight as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemStateHighlight
      get.

   def public property Items as ComponentFactory.Krypton.Toolkit.KryptonContextMenuCollection
      get.

   def public property Tag as System.Object
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property PaletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode
      get.
      set.

   def public property Palette as ComponentFactory.Krypton.Toolkit.IPalette
      get.
      set.

   def public property Caller as System.Object
      get.

   def public event Opening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Opened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Closing signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Closed signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripDropDownClosedEventArgs).

   constructor public KryptonContextMenu():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void ResetPaletteMode():
   end method.

   method public final void ResetPalette():
   end method.

   method public final logical Show(input caller as System.Object):
   end method.

   method public final logical Show(input caller as System.Object, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV):
   end method.

   method public final logical Show(input caller as System.Object, input screenPt as System.Drawing.Point):
   end method.

   method public final logical Show(input caller as System.Object, input screenRect as System.Drawing.Rectangle):
   end method.

   method public final logical Show(input caller as System.Object, input screenPt as System.Drawing.Point, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV):
   end method.

   method public final logical Show(input caller as System.Object, input screenRect as System.Drawing.Rectangle, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV):
   end method.

   method public final logical Show(input caller as System.Object, input screenRect as System.Drawing.Rectangle, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV, input keyboardActivated as logical, input constrain as logical):
   end method.

   method public final void Close():
   end method.

   method public final void Close(input reason as System.Windows.Forms.ToolStripDropDownCloseReason):
   end method.

   method public final logical ProcessShortcut(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected ComponentFactory.Krypton.Toolkit.VisualContextMenu CreateContextMenu(input kcm as ComponentFactory.Krypton.Toolkit.KryptonContextMenu, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input paletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode, input redirector as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectorImages as ComponentFactory.Krypton.Toolkit.PaletteRedirectContextMenu, input items as ComponentFactory.Krypton.Toolkit.KryptonContextMenuCollection, input enabled as logical, input keyboardActivated as logical):
   end method.

   method protected void OnOpening(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnOpened(input e as System.EventArgs):
   end method.

   method protected void OnClosing(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnClosed(input e as System.Windows.Forms.ToolStripDropDownClosedEventArgs):
   end method.

end class.
