class ComponentFactory.Krypton.Toolkit.KryptonContextMenuItem
   inherits ComponentFactory.Krypton.Toolkit.KryptonContextMenuItemBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.ComponentModel.INotifyPropertyChanged:

   def public override property ItemChildCount as integer
      get.

   def public override property Item as ComponentFactory.Krypton.Toolkit.KryptonContextMenuItemBase
      get.

   def public property Text as character
      get.
      set.

   def public property ExtraText as character
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property ShortcutKeys as System.Windows.Forms.Keys
      get.
      set.

   def public property AutoClose as logical
      get.
      set.

   def public property SplitSubMenu as logical
      get.
      set.

   def public property CheckOnClick as logical
      get.
      set.

   def public property ShowShortcutKeys as logical
      get.
      set.

   def public property LargeKryptonCommandImage as logical
      get.
      set.

   def public property ShortcutKeyDisplayString as character
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def public property CheckState as System.Windows.Forms.CheckState
      get.
      set.

   def public property Items as ComponentFactory.Krypton.Toolkit.KryptonContextMenuCollection
      get.

   def public property Enabled as logical
      get.
      set.

   def public property StateDisabled as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemState
      get.

   def public property StateNormal as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemState
      get.

   def public property StateChecked as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemStateChecked
      get.

   def public property StateHighlight as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemStateHighlight
      get.

   def public property KryptonCommand as ComponentFactory.Krypton.Toolkit.KryptonCommand
      get.
      set.

   def public event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CheckedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CheckStateChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public KryptonContextMenuItem():
   end constructor.

   constructor public KryptonContextMenuItem(input initialText as character):
   end constructor.

   constructor public KryptonContextMenuItem(input initialText as character, input clickHandler as System.EventHandler):
   end constructor.

   constructor public KryptonContextMenuItem(input initialText as character, input clickHandler as System.EventHandler, input shortcut as System.Windows.Forms.Keys):
   end constructor.

   constructor public KryptonContextMenuItem(input initialText as character, input initialImage as System.Drawing.Image, input clickHandler as System.EventHandler):
   end constructor.

   constructor public KryptonContextMenuItem(input initialText as character, input initialImage as System.Drawing.Image, input clickHandler as System.EventHandler, input shortcut as System.Windows.Forms.Keys):
   end constructor.

   method public override character ToString():
   end method.

   method public override logical ProcessShortcut(input keyData as System.Windows.Forms.Keys):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.ViewBase GenerateView(input provider as ComponentFactory.Krypton.Toolkit.IContextMenuProvider, input parent as System.Object, input columns as ComponentFactory.Krypton.Toolkit.ViewLayoutStack, input standardStyle as logical, input imageColumn as logical):
   end method.

   method public final void PerformClick():
   end method.

   method protected void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnCheckedChanged(input e as System.EventArgs):
   end method.

   method protected void OnCheckStateChanged(input e as System.EventArgs):
   end method.

end class.
