class ComponentFactory.Krypton.Toolkit.KryptonListItem
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, ComponentFactory.Krypton.Toolkit.IContentValues:

   def public property ShortText as character
      get.
      set.

   def public property LongText as character
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public KryptonListItem():
   end constructor.

   constructor public KryptonListItem(input shortText as character):
   end constructor.

   constructor public KryptonListItem(input shortText as character, input longText as character):
   end constructor.

   constructor public KryptonListItem(input shortText as character, input longText as character, input image as System.Drawing.Image):
   end constructor.

   constructor public KryptonListItem(input shortText as character, input longText as character, input image as System.Drawing.Image, input imageTransparentColor as System.Drawing.Color):
   end constructor.

   method public override character ToString():
   end method.

   method public final character GetShortText():
   end method.

   method public final System.Drawing.Image GetImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetImageTransparentColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final character GetLongText():
   end method.

   method protected void OnPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
