class ComponentFactory.Krypton.Toolkit.PaletteHeaderButtonRedirect
   inherits ComponentFactory.Krypton.Toolkit.PaletteTripleMetricRedirect
   implements ComponentFactory.Krypton.Toolkit.IPaletteTriple, ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public override property IsDefault as logical
      get.

   def public property ButtonEdgeInset as integer
      get.
      set.

   def public property ButtonPadding as System.Windows.Forms.Padding
      get.
      set.

   constructor public PaletteHeaderButtonRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input backStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input borderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input contentStyle as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetButtonEdgeInset():
   end method.

   method public final void ResetButtonPadding():
   end method.

   method public override integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.InheritBool GetMetricBool(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricBool):
   end method.

   method public override System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

end class.
