class DataPAClientConfig.EnterpriseService.EnterpriseServiceClient
   inherits System.ServiceModel.ClientBase
   implements System.ServiceModel.ICommunicationObject, System.IDisposable, DataPAClientConfig.EnterpriseService.IEnterpriseService:

   constructor public EnterpriseServiceClient():
   end constructor.

   constructor public EnterpriseServiceClient(input endpointConfigurationName as character):
   end constructor.

   constructor public EnterpriseServiceClient(input endpointConfigurationName as character, input remoteAddress as character):
   end constructor.

   constructor public EnterpriseServiceClient(input endpointConfigurationName as character, input remoteAddress as System.ServiceModel.EndpointAddress):
   end constructor.

   constructor public EnterpriseServiceClient(input binding as System.ServiceModel.Channels.Binding, input remoteAddress as System.ServiceModel.EndpointAddress):
   end constructor.

   method public final DataPAClientConfig.EnterpriseService.ProcessLockRequestResponse EnterpriseService_IEnterpriseService_ProcessLockRequest(input request as DataPAClientConfig.EnterpriseService.ProcessLockRequestRequest):
   end method.

   method public final void ProcessLockRequest(input LockType as character, input UserID as character, input SecurityCode as character, input Details as character, input FunctionType as integer, input Response as logical, input OutputUserID as character, input OutputDetails as character, input OutputDateTime as character, input SetupGUID as character, input ErrorMessage as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.CheckLoginResponse EnterpriseService_IEnterpriseService_CheckLogin(input request as DataPAClientConfig.EnterpriseService.CheckLoginRequest):
   end method.

   method public final character CheckLogin(input UserID as character, input Password as character, input SecurityCode as character, input GroupID as character, input ServerSecurity as System.Byte extent):
   end method.

   method public final DataPAClientConfig.EnterpriseService.FolderPathValidResponse EnterpriseService_IEnterpriseService_FolderPathValid(input request as DataPAClientConfig.EnterpriseService.FolderPathValidRequest):
   end method.

   method public final logical FolderPathValid(input FolderPath as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.GetDashboardObjectsResponse EnterpriseService_IEnterpriseService_GetDashboardObjects(input request as DataPAClientConfig.EnterpriseService.GetDashboardObjectsRequest):
   end method.

   method public final System.Data.DataSet GetDashboardObjects(input UserID as character, input Password as character, input SecurityCode as character, input ContentType as integer):
   end method.

   method public final DataPAClientConfig.EnterpriseService.MoveDashboardObjectResponse EnterpriseService_IEnterpriseService_MoveDashboardObject(input request as DataPAClientConfig.EnterpriseService.MoveDashboardObjectRequest):
   end method.

   method public final logical MoveDashboardObject(input UserID as character, input Password as character, input SecurityCode as character, input FromIndex as integer, input ToIndex as integer, input ErrorMessage as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.ReloadDashboardObjectResponse EnterpriseService_IEnterpriseService_ReloadDashboardObject(input request as DataPAClientConfig.EnterpriseService.ReloadDashboardObjectRequest):
   end method.

   method public final void ReloadDashboardObject(input Seq as int64, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.ClearDashboardObjectErrorResponse EnterpriseService_IEnterpriseService_ClearDashboardObjectError(input request as DataPAClientConfig.EnterpriseService.ClearDashboardObjectErrorRequest):
   end method.

   method public final void ClearDashboardObjectError(input Seq as int64, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.TestConnectResponse EnterpriseService_IEnterpriseService_TestConnect(input request as DataPAClientConfig.EnterpriseService.TestConnectRequest):
   end method.

   method public final logical TestConnect(input Connect as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.TestSQLResponse EnterpriseService_IEnterpriseService_TestSQL(input request as DataPAClientConfig.EnterpriseService.TestSQLRequest):
   end method.

   method public final logical TestSQL(input Connect as character, input SQL as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.RunSQLProcedureResponse EnterpriseService_IEnterpriseService_RunSQLProcedure(input request as DataPAClientConfig.EnterpriseService.RunSQLProcedureRequest):
   end method.

   method public final System.Data.DataSet RunSQLProcedure(input Connect as character, input SQLProcedure as character, input SQLParams as character, input SQLParamTypes as character, input SQLParamInputs as character, input SQLParamSizes as character, input SQLParamScales as character, input SQLParamPrecs as character, input SQLParamValues as character, input Filter as character, input Sort as character, input FieldList as character, input LabelList as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.RunSQLQueryResponse EnterpriseService_IEnterpriseService_RunSQLQuery(input request as DataPAClientConfig.EnterpriseService.RunSQLQueryRequest):
   end method.

   method public final System.Data.DataSet RunSQLQuery(input Connect as character, input SQL as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.GetStrctResponse EnterpriseService_IEnterpriseService_GetStrct(input request as DataPAClientConfig.EnterpriseService.GetStrctRequest):
   end method.

   method public final System.Data.DataSet GetStrct(input Connect as character, input iType as integer):
   end method.

   method public final DataPAClientConfig.EnterpriseService.GetProceduresResponse EnterpriseService_IEnterpriseService_GetProcedures(input request as DataPAClientConfig.EnterpriseService.GetProceduresRequest):
   end method.

   method public final System.Data.DataSet GetProcedures(input Connection as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.GetProcedureParamsResponse EnterpriseService_IEnterpriseService_GetProcedureParams(input request as DataPAClientConfig.EnterpriseService.GetProcedureParamsRequest):
   end method.

   method public final System.Data.DataSet GetProcedureParams(input Connection as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.StartAutoRefreshDelayResponse EnterpriseService_IEnterpriseService_StartAutoRefreshDelay(input request as DataPAClientConfig.EnterpriseService.StartAutoRefreshDelayRequest):
   end method.

   method public final void StartAutoRefreshDelay(input SecurityCode as character, input bSoft as logical):
   end method.

   method public final DataPAClientConfig.EnterpriseService.RemoveEventHandlersResponse EnterpriseService_IEnterpriseService_RemoveEventHandlers(input request as DataPAClientConfig.EnterpriseService.RemoveEventHandlersRequest):
   end method.

   method public final void RemoveEventHandlers(input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.TouchDashboardResponse EnterpriseService_IEnterpriseService_TouchDashboard(input request as DataPAClientConfig.EnterpriseService.TouchDashboardRequest):
   end method.

   method public final void TouchDashboard(input sMMFName as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.OpenSecurityResponse EnterpriseService_IEnterpriseService_OpenSecurity(input request as DataPAClientConfig.EnterpriseService.OpenSecurityRequest):
   end method.

   method public final character OpenSecurity(input UserID as character, input Password as character, input ServerSecurity as System.Byte extent, input SecurityCode as character, input SecurityGUID as character, input ReadUsersFromAppServer as logical):
   end method.

   method public final DataPAClientConfig.EnterpriseService.SaveSecurityResponse EnterpriseService_IEnterpriseService_SaveSecurity(input request as DataPAClientConfig.EnterpriseService.SaveSecurityRequest):
   end method.

   method public final character SaveSecurity(input UserID as character, input Password as character, input ServerSecurity as System.Byte extent, input SecurityCode as character, input SecurityGUID as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.CheckAppServerSecurityResponse EnterpriseService_IEnterpriseService_CheckAppServerSecurity(input request as DataPAClientConfig.EnterpriseService.CheckAppServerSecurityRequest):
   end method.

   method public final integer CheckAppServerSecurity(input UserID as character, input Password as character, input SecurityCode as character, input AppServerURL as character, input StateFree as logical, input UseBLToAssignUserGroups as logical, input UseBLforGroupPrivileges as logical, input UseBLToDefineGroups as logical, input ErrorMessage as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.OpenSetupResponse EnterpriseService_IEnterpriseService_OpenSetup(input request as DataPAClientConfig.EnterpriseService.OpenSetupRequest):
   end method.

   method public final character OpenSetup(input UserID as character, input Password as character, input SecurityCode as character, input Partitions as System.Byte extent, input Links as System.Byte extent, input Conditions as System.Byte extent, input SDOs as System.Byte extent, input Lookups as System.Byte extent, input Subjects as System.Byte extent, input SetupGUID as character, input DenySystemsAccess as logical, input DenySubjectsAccess as logical):
   end method.

   method public final DataPAClientConfig.EnterpriseService.SaveSetupResponse EnterpriseService_IEnterpriseService_SaveSetup(input request as DataPAClientConfig.EnterpriseService.SaveSetupRequest):
   end method.

   method public final character SaveSetup(input UserID as character, input Password as character, input SecurityCode as character, input Partitions as System.Byte extent, input Links as System.Byte extent, input Conditions as System.Byte extent, input SDOs as System.Byte extent, input Lookups as System.Byte extent, input Subjects as System.Byte extent, input SetupGUID as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.OpenDashboardResponse EnterpriseService_IEnterpriseService_OpenDashboard(input request as DataPAClientConfig.EnterpriseService.OpenDashboardRequest):
   end method.

   method public final System.Byte extent OpenDashboard(input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.OpenDocumentResponse EnterpriseService_IEnterpriseService_OpenDocument(input request as DataPAClientConfig.EnterpriseService.OpenDocumentRequest):
   end method.

   method public final System.Byte extent OpenDocument(input ID as character, input Type as character, input UserID as character, input Password as character, input SecurityCode as character, input ClientFileName as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.ResetUserPasswordResponse EnterpriseService_IEnterpriseService_ResetUserPassword(input request as DataPAClientConfig.EnterpriseService.ResetUserPasswordRequest):
   end method.

   method public final logical ResetUserPassword(input SecCode as character, input UserID as character, input CurrentPassword as character, input NewPassword as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.PublishDashboardResponse EnterpriseService_IEnterpriseService_PublishDashboard(input request as DataPAClientConfig.EnterpriseService.PublishDashboardRequest):
   end method.

   method public final character PublishDashboard(input ID as character, input DashboardFile as System.Byte extent, input DashboardFileName as character, input SecurityList as character, input Overwrite as logical, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.PublishDocumentResponse EnterpriseService_IEnterpriseService_PublishDocument(input request as DataPAClientConfig.EnterpriseService.PublishDocumentRequest):
   end method.

   method public final character PublishDocument(input Data as System.Byte extent, input Type as character, input ClientFileName as character, input SystemName as character, input Overwrite as logical, input ID as character, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character, input UserID as character, input Password as character, input ReqFieldNames as System.String extent, input ReqFieldLabels as System.String extent, input ReqFieldDescs as System.String extent, input ReqFieldTypes as System.String extent, input ReqFieldMands as System.String extent, input ReqFieldValues as System.String extent, input ReqFieldLookups as System.String extent, input ReqFieldFormats as System.String extent, input SecurityCode as character, input ErrorMessage as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.UnpublishDashboardResponse EnterpriseService_IEnterpriseService_UnpublishDashboard(input request as DataPAClientConfig.EnterpriseService.UnpublishDashboardRequest):
   end method.

   method public final character UnpublishDashboard(input DashboardId as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.UnpublishDocumentResponse EnterpriseService_IEnterpriseService_UnpublishDocument(input request as DataPAClientConfig.EnterpriseService.UnpublishDocumentRequest):
   end method.

   method public final character UnpublishDocument(input ID as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.GetPublishedDashboardsDataSetResponse EnterpriseService_IEnterpriseService_GetPublishedDashboardsDataSet(input request as DataPAClientConfig.EnterpriseService.GetPublishedDashboardsDataSetRequest):
   end method.

   method public final System.Data.DataSet GetPublishedDashboardsDataSet(input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.GetMMFDashboardsResponse EnterpriseService_IEnterpriseService_GetMMFDashboards(input request as DataPAClientConfig.EnterpriseService.GetMMFDashboardsRequest):
   end method.

   method public final System.Data.DataTable GetMMFDashboards(input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.UnpublishAllDashboardsResponse EnterpriseService_IEnterpriseService_UnpublishAllDashboards(input request as DataPAClientConfig.EnterpriseService.UnpublishAllDashboardsRequest):
   end method.

   method public final character UnpublishAllDashboards(input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.LoadDashboardResponse EnterpriseService_IEnterpriseService_LoadDashboard(input request as DataPAClientConfig.EnterpriseService.LoadDashboardRequest):
   end method.

   method public final logical LoadDashboard(input sMMFName as character, input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character, input NeedMutex as logical):
   end method.

   method public final DataPAClientConfig.EnterpriseService.LoadDashboardObjectResponse EnterpriseService_IEnterpriseService_LoadDashboardObject(input request as DataPAClientConfig.EnterpriseService.LoadDashboardObjectRequest):
   end method.

   method public final logical LoadDashboardObject(input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

   method public final DataPAClientConfig.EnterpriseService.RemoveDashboardFromMemoryResponse EnterpriseService_IEnterpriseService_RemoveDashboardFromMemory(input request as DataPAClientConfig.EnterpriseService.RemoveDashboardFromMemoryRequest):
   end method.

   method public final character RemoveDashboardFromMemory(input DashboardFile as character, input Type as character, input UserID as character, input Password as character, input SecurityCode as character):
   end method.

end class.
