class Infragistics.UltraChart.Resources.Appearance.LineAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property LineStyle as Infragistics.UltraChart.Shared.Styles.LineStyle
      get.
      set.

   def public property Thickness as integer
      get.
      set.

   def public property SplineTension as decimal
      get.
      set.

   def public property Key as character
      get.
      set.

   def public property IconAppearance as Infragistics.UltraChart.Resources.Appearance.IconAppearance
      get.

   constructor public LineAppearance():
   end constructor.

   constructor public LineAppearance(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected logical ShouldSerializeLineStyle():
   end method.

   method public void ResetLineStyle():
   end method.

   method protected logical ShouldSerializeThickness():
   end method.

   method public void ResetThickness():
   end method.

   method protected logical ShouldSerializeSplineTension():
   end method.

   method public void ResetSplineTension():
   end method.

   method protected logical ShouldSerializeKey():
   end method.

   method public void ResetKey():
   end method.

   method protected logical ShouldSerializeIconAppearance():
   end method.

   method public void ResetIconAppearance():
   end method.

   method public override character ToString():
   end method.

   method public override Infragistics.UltraChart.Resources.Appearance.LineAppearance Clone():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

end class.
