class Infragistics.UltraChart.Resources.Appearance.LineChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Thickness as integer
      get.
      set.

   def public property StartStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property EndStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property DrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property MidPointAnchors as logical
      get.
      set.

   def public property HighLightLines as logical
      get.
      set.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property ChartText as Infragistics.UltraChart.Resources.Appearance.ChartTextCollection
      get.

   def public property TreatDateTimeAsString as logical
      get.
      set.

   def public property LineAppearances as Infragistics.UltraChart.Resources.Appearance.LineAppearanceCollection
      get.

   def public property EmptyStyles as Infragistics.UltraChart.Resources.Appearance.EmptyAppearanceCollection
      get.

   constructor public LineChartAppearance():
   end constructor.

   constructor public LineChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeThickness():
   end method.

   method public final void ResetThickness():
   end method.

   method protected final logical ShouldSerializeStartStyle():
   end method.

   method public final void ResetStartStyle():
   end method.

   method protected final logical ShouldSerializeEndStyle():
   end method.

   method public final void ResetEndStyle():
   end method.

   method protected final logical ShouldSerializeDrawStyle():
   end method.

   method public final void ResetDrawStyle():
   end method.

   method protected final logical ShouldSerializeMidPointAnchors():
   end method.

   method public final void ResetMidPointAnchors():
   end method.

   method protected final logical ShouldSerializeHighLightLines():
   end method.

   method public final void ResetHighLightLines():
   end method.

   method protected final logical ShouldSerializeNullHandling():
   end method.

   method public final void ResetNullHandling():
   end method.

   method protected final logical ShouldSerializeChartText():
   end method.

   method public final void ResetChartText():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public final void ResetTreatDateTimeAsString():
   end method.

   method protected final logical ShouldSerializeTreatDateTimeAsString():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method protected logical ShouldSerializeLineAppearances():
   end method.

   method public void ResetLineAppearances():
   end method.

   method protected logical ShouldSerializeEmptyStyles():
   end method.

   method public void ResetEmptyStyles():
   end method.

end class.
