class Infragistics.UltraChart.Resources.Appearance.TreeMapChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Margin as integer
      get.
      set.

   def public property IndexOrder as System.Int32 extent
      get.
      set.

   def public property LabelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.
      set.

   def public property SizeValueIndex as integer
      get.
      set.

   def public property SizeValueLabel as character
      get.
      set.

   def public property ColorValueIndex as integer
      get.
      set.

   def public property ColorValueLabel as character
      get.
      set.

   def public property TreeMapType as Infragistics.UltraChart.Shared.Styles.TreeMapType
      get.
      set.

   def public property PEs as Infragistics.UltraChart.Resources.Appearance.PaintElementCollection
      get.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderWidth as integer
      get.
      set.

   def public property StaticLeafPE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property ShowLabels as logical
      get.
      set.

   def public property ShowColorIntervalAxis as logical
      get.
      set.

   def public property UseStaticLeafPE as logical
      get.
      set.

   def public property Rotation as decimal
      get.
      set.

   def public property ChartTitle as character
      get.
      set.

   def public property DisableColorValues as logical
      get.
      set.

   def public property ShowHeadersForUnlabeledPoints as logical
      get.
      set.

   constructor public TreeMapChartAppearance():
   end constructor.

   constructor public TreeMapChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public final void AddColorInterval(input StartValue as decimal, input StartColor as System.Drawing.Color, input EndValue as decimal, input EndColor as System.Drawing.Color):
   end method.

   method public final void AddColorValue(input Value as decimal, input ValueColor as System.Drawing.Color):
   end method.

   method public final void ClearColorIntervals():
   end method.

   method protected logical ShouldSerializeBorderColor():
   end method.

   method protected logical ShouldSerializeBorderWidth():
   end method.

   method protected logical ShouldSerializeColorIntervals():
   end method.

   method protected logical ShouldSerializeColorValueLabel():
   end method.

   method protected logical ShouldSerializeLabelIndex():
   end method.

   method protected logical ShouldSerializeLabelStyle():
   end method.

   method protected logical ShouldSerializeStaticLeafPE():
   end method.

   method protected logical ShouldSerializeMargin():
   end method.

   method protected logical ShouldSerializePEs():
   end method.

   method protected logical ShouldSerializeRotation():
   end method.

   method protected logical ShouldSerializeShowColorIntervalAxis():
   end method.

   method protected logical ShouldSerializeShowLabels():
   end method.

   method protected logical ShouldSerializeSizeValueLabel():
   end method.

   method protected logical ShouldSerializeTreeMapType():
   end method.

   method protected logical ShouldSerializeUseLeafPE():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

end class.
