interface Progress.Open4GL.DynamicAPI.IDataTable:

   method public void close().

   method public integer findColumn(input columnName as character).

   method public decimal getDecimal(input columnIndex as integer).

   method public decimal getDecimal(input columnIndex as integer, input scale as integer).

   method public decimal getDecimal(input columnName as character).

   method public decimal getDecimal(input columnName as character, input scale as integer).

   method public Progress.Common.Extra.Blob getBlob(input i as integer).

   method public Progress.Common.Extra.Blob getBlob(input colName as character).

   method public logical getBoolean(input columnIndex as integer).

   method public logical getBoolean(input columnName as character).

   method public integer getByte(input columnIndex as integer).

   method public integer getByte(input columnName as character).

   method public System.Byte extent getBytes(input columnIndex as integer).

   method public System.Byte extent getBytes(input columnName as character).

   method public Progress.Common.Extra.Clob getClob(input i as integer).

   method public Progress.Common.Extra.Clob getClob(input colName as character).

   method public datetime getDate(input columnIndex as integer).

   method public datetime getDate(input columnIndex as integer, input cal as System.Globalization.Calendar).

   method public datetime getDate(input columnName as character).

   method public datetime getDate(input columnName as character, input cal as System.Globalization.Calendar).

   method public decimal getDouble(input columnIndex as integer).

   method public decimal getDouble(input columnName as character).

   method public decimal getFloat(input columnIndex as integer).

   method public decimal getFloat(input columnName as character).

   method public integer getInt(input columnIndex as integer).

   method public integer getInt(input columnName as character).

   method public int64 getLong(input columnIndex as integer).

   method public int64 getLong(input columnName as character).

   method public Progress.Open4GL.DynamicAPI.DataTableMetaData getMetaData().

   method public System.Object getObject(input columnIndex as integer).

   method public System.Object getObject(input i as integer, input map as Progress.Java.Util.Map).

   method public System.Object getObject(input columnName as character).

   method public System.Object getObject(input colName as character, input map as Progress.Java.Util.Map).

   method public integer getShort(input columnIndex as integer).

   method public integer getShort(input columnName as character).

   method public character getString(input columnIndex as integer).

   method public character getString(input columnName as character).

   method public integer getType().

   method public void insertRow().

   method public void moveToInsertRow().

   method public logical next().

   method public logical previous().

   method public void refreshRow().

   method public void updateArray(input columnIndex as integer, input x as System.Array).

   method public void updateArray(input columnName as character, input x as System.Array).

   method public void updateAsciiStream(input columnIndex as integer, input x as System.IO.Stream, input length as integer).

   method public void updateAsciiStream(input columnName as character, input x as System.IO.Stream, input length as integer).

   method public void updateDecimal(input columnIndex as integer, input x as decimal).

   method public void updateDecimal(input columnName as character, input x as decimal).

   method public void updateBinaryStream(input columnIndex as integer, input x as System.IO.Stream, input length as integer).

   method public void updateBinaryStream(input columnName as character, input x as System.IO.Stream, input length as integer).

   method public void updateBlob(input columnIndex as integer, input x as Progress.Common.Extra.Blob).

   method public void updateBlob(input columnName as character, input x as Progress.Common.Extra.Blob).

   method public void updateBoolean(input columnIndex as integer, input x as logical).

   method public void updateBoolean(input columnName as character, input x as logical).

   method public void updateByte(input columnIndex as integer, input x as integer).

   method public void updateByte(input columnName as character, input x as integer).

   method public void updateCharacterStream(input columnIndex as integer, input x as System.IO.StreamReader, input length as integer).

   method public void updateCharacterStream(input columnName as character, input reader as System.IO.StreamReader, input length as integer).

   method public void updateClob(input columnIndex as integer, input x as Progress.Common.Extra.Clob).

   method public void updateClob(input columnName as character, input x as Progress.Common.Extra.Clob).

   method public void updateDate(input columnIndex as integer, input x as datetime).

   method public void updateDate(input columnName as character, input x as datetime).

   method public void updateDouble(input columnIndex as integer, input x as decimal).

   method public void updateDouble(input columnName as character, input x as decimal).

   method public void updateFloat(input columnIndex as integer, input x as decimal).

   method public void updateFloat(input columnName as character, input x as decimal).

   method public void updateInt(input columnIndex as integer, input x as integer).

   method public void updateInt(input columnName as character, input x as integer).

   method public void updateLong(input columnIndex as integer, input x as int64).

   method public void updateLong(input columnName as character, input x as int64).

   method public void updateNull(input columnIndex as integer).

   method public void updateNull(input columnName as character).

   method public void updateObject(input columnIndex as integer, input x as System.Object).

   method public void updateObject(input columnIndex as integer, input x as System.Object, input scale as integer).

   method public void updateObject(input columnName as character, input x as System.Object).

   method public void updateObject(input columnName as character, input x as System.Object, input scale as integer).

   method public void updateRef(input columnIndex as integer, input x as Progress.Common.Extra.Ref).

   method public void updateRef(input columnName as character, input x as Progress.Common.Extra.Ref).

   method public void updateRow().

   method public void updateShort(input columnIndex as integer, input x as integer).

   method public void updateShort(input columnName as character, input x as integer).

   method public void updateString(input columnIndex as integer, input x as character).

   method public void updateString(input columnName as character, input x as character).

   method public logical wasNull().

   method public integer getColumnCount().

   method public logical isCaseSensitive(input column as integer).

   method public logical isSearchable(input column as integer).

   method public logical isCurrency(input column as integer).

   method public character getColumnName(input column as integer).

   method public character getTableName(input column as integer).

   method public integer getColumnType(input column as integer).

   method public character getColumnTypeName(input column as integer).

end interface.
