class System.Drawing.Drawing2D.Matrix
   inherits System.MarshalByRefObject
   implements System.IDisposable
   final:

   def public property Elements as System.Single extent
      get.

   def public property OffsetX as decimal
      get.

   def public property OffsetY as decimal
      get.

   def public property IsInvertible as logical
      get.

   def public property IsIdentity as logical
      get.

   constructor public Matrix():
   end constructor.

   constructor public Matrix(input m11 as decimal, input m12 as decimal, input m21 as decimal, input m22 as decimal, input dx as decimal, input dy as decimal):
   end constructor.

   constructor public Matrix(input rect as System.Drawing.RectangleF, input plgpts as System.Drawing.PointF extent):
   end constructor.

   constructor public Matrix(input rect as System.Drawing.Rectangle, input plgpts as System.Drawing.Point extent):
   end constructor.

   method public final void Dispose():
   end method.

   method protected final override void Finalize():
   end method.

   method public final override System.Drawing.Drawing2D.Matrix Clone():
   end method.

   method public final void Reset():
   end method.

   method public final void Multiply(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void Multiply(input matrix as System.Drawing.Drawing2D.Matrix, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Translate(input offsetX as decimal, input offsetY as decimal):
   end method.

   method public final void Translate(input offsetX as decimal, input offsetY as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Rotate(input angle as decimal):
   end method.

   method public final void Rotate(input angle as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void RotateAt(input angle as decimal, input point as System.Drawing.PointF):
   end method.

   method public final void RotateAt(input angle as decimal, input point as System.Drawing.PointF, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Shear(input shearX as decimal, input shearY as decimal):
   end method.

   method public final void Shear(input shearX as decimal, input shearY as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Invert():
   end method.

   method public final void TransformPoints(input pts as System.Drawing.PointF extent):
   end method.

   method public final void TransformPoints(input pts as System.Drawing.Point extent):
   end method.

   method public final void TransformVectors(input pts as System.Drawing.PointF extent):
   end method.

   method public final void VectorTransformPoints(input pts as System.Drawing.Point extent):
   end method.

   method public final void TransformVectors(input pts as System.Drawing.Point extent):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

end class.
