class System.Security.SecurityElement
   inherits System.Object
   implements System.Security.ISecurityElementFactory
   final:

   def public property Tag as character
      get.
      set.

   def public property Attributes as System.Collections.Hashtable
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Children as System.Collections.ArrayList
      get.
      set.

   constructor public SecurityElement(input tag as character):
   end constructor.

   constructor public SecurityElement(input tag as character, input text as character):
   end constructor.

   method public final static System.Security.SecurityElement FromString(input xml as character):
   end method.

   method public final void AddAttribute(input name as character, input value as character):
   end method.

   method public final void AddChild(input child as System.Security.SecurityElement):
   end method.

   method public final logical Equal(input other as System.Security.SecurityElement):
   end method.

   method public final System.Security.SecurityElement Copy():
   end method.

   method public final static logical IsValidTag(input tag as character):
   end method.

   method public final static logical IsValidText(input text as character):
   end method.

   method public final static logical IsValidAttributeName(input name as character):
   end method.

   method public final static logical IsValidAttributeValue(input value as character):
   end method.

   method public final static character Escape(input str as character):
   end method.

   method public override character ToString():
   end method.

   method public final character Attribute(input name as character):
   end method.

   method public final System.Security.SecurityElement SearchForChildByTag(input tag as character):
   end method.

   method public final character SearchForTextOfTag(input tag as character):
   end method.

end class.
