class System.Xml.XmlNode
   inherits System.Object
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable
   abstract:

   def public abstract property Name as character
      get.

   def public property Value as character
      get.
      set.

   def public abstract property NodeType as System.Xml.XmlNodeType
      get.

   def public property ParentNode as System.Xml.XmlNode
      get.

   def public property ChildNodes as System.Xml.XmlNodeList
      get.

   def public property PreviousSibling as System.Xml.XmlNode
      get.

   def public property NextSibling as System.Xml.XmlNode
      get.

   def public property Attributes as System.Xml.XmlAttributeCollection
      get.

   def public property OwnerDocument as System.Xml.XmlDocument
      get.

   def public property FirstChild as System.Xml.XmlNode
      get.

   def public property LastChild as System.Xml.XmlNode
      get.

   def public property HasChildNodes as logical
      get.

   def public property NamespaceURI as character
      get.

   def public property Prefix as character
      get.
      set.

   def public abstract property LocalName as character
      get.

   def public property IsReadOnly as logical
      get.

   def public property InnerText as character
      get.
      set.

   def public property OuterXml as character
      get.

   def public property InnerXml as character
      get.
      set.

   def public property SchemaInfo as System.Xml.Schema.IXmlSchemaInfo
      get.

   def public property BaseURI as character
      get.

   def public property Item as System.Xml.XmlElement
      get.

   def public property Item as System.Xml.XmlElement
      get.

   def public property PreviousText as System.Xml.XmlNode
      get.

   method public System.Xml.XPath.XPathNavigator CreateNavigator():
   end method.

   method public final System.Xml.XmlNode SelectSingleNode(input xpath as character):
   end method.

   method public final System.Xml.XmlNode SelectSingleNode(input xpath as character, input nsmgr as System.Xml.XmlNamespaceManager):
   end method.

   method public final System.Xml.XmlNodeList SelectNodes(input xpath as character):
   end method.

   method public final System.Xml.XmlNodeList SelectNodes(input xpath as character, input nsmgr as System.Xml.XmlNamespaceManager):
   end method.

   method public System.Xml.XmlNode InsertBefore(input newChild as System.Xml.XmlNode, input refChild as System.Xml.XmlNode):
   end method.

   method public System.Xml.XmlNode InsertAfter(input newChild as System.Xml.XmlNode, input refChild as System.Xml.XmlNode):
   end method.

   method public System.Xml.XmlNode ReplaceChild(input newChild as System.Xml.XmlNode, input oldChild as System.Xml.XmlNode):
   end method.

   method public System.Xml.XmlNode RemoveChild(input oldChild as System.Xml.XmlNode):
   end method.

   method public System.Xml.XmlNode PrependChild(input newChild as System.Xml.XmlNode):
   end method.

   method public System.Xml.XmlNode AppendChild(input newChild as System.Xml.XmlNode):
   end method.

   method public abstract System.Xml.XmlNode CloneNode(input deep as logical).

   method public void Normalize():
   end method.

   method public logical Supports(input feature as character, input version as character):
   end method.

   method public override System.Xml.XmlNode Clone():
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method public abstract void WriteTo(input w as System.Xml.XmlWriter).

   method public abstract void WriteContentTo(input w as System.Xml.XmlWriter).

   method public void RemoveAll():
   end method.

   method public character GetNamespaceOfPrefix(input prefix as character):
   end method.

   method public character GetPrefixOfNamespace(input namespaceURI as character):
   end method.

end class.
