class System.Xml.XmlTextWriter
   inherits System.Xml.XmlWriter
   implements System.IDisposable:

   def public property BaseStream as System.IO.Stream
      get.

   def public property Namespaces as logical
      get.
      set.

   def public property Formatting as System.Xml.Formatting
      get.
      set.

   def public property Indentation as integer
      get.
      set.

   def public property IndentChar as character
      get.
      set.

   def public property QuoteChar as character
      get.
      set.

   def public override property WriteState as System.Xml.WriteState
      get.

   def public override property XmlSpace as System.Xml.XmlSpace
      get.

   def public override property XmlLang as character
      get.

   constructor public XmlTextWriter(input w as System.IO.Stream, input encoding as System.Text.Encoding):
   end constructor.

   constructor public XmlTextWriter(input filename as character, input encoding as System.Text.Encoding):
   end constructor.

   constructor public XmlTextWriter(input w as System.IO.TextWriter):
   end constructor.

   method public override void WriteStartDocument():
   end method.

   method public override void WriteStartDocument(input standalone as logical):
   end method.

   method public override void WriteEndDocument():
   end method.

   method public override void WriteDocType(input name as character, input pubid as character, input sysid as character, input subset as character):
   end method.

   method public override void WriteStartElement(input prefix as character, input localName as character, input ns as character):
   end method.

   method public override void WriteEndElement():
   end method.

   method public override void WriteFullEndElement():
   end method.

   method public override void WriteStartAttribute(input prefix as character, input localName as character, input ns as character):
   end method.

   method public override void WriteEndAttribute():
   end method.

   method public override void WriteCData(input text as character):
   end method.

   method public override void WriteComment(input text as character):
   end method.

   method public override void WriteProcessingInstruction(input name as character, input text as character):
   end method.

   method public override void WriteEntityRef(input name as character):
   end method.

   method public override void WriteCharEntity(input ch as character):
   end method.

   method public override void WriteWhitespace(input ws as character):
   end method.

   method public override void WriteString(input text as character):
   end method.

   method public override void WriteSurrogateCharEntity(input lowChar as character, input highChar as character):
   end method.

   method public override void WriteChars(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public override void WriteRaw(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public override void WriteRaw(input data as character):
   end method.

   method public override void WriteBase64(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override void WriteBinHex(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override void Close():
   end method.

   method public override void Flush():
   end method.

   method public override void WriteName(input name as character):
   end method.

   method public override void WriteQualifiedName(input localName as character, input ns as character):
   end method.

   method public override character LookupPrefix(input ns as character):
   end method.

   method public override void WriteNmToken(input name as character):
   end method.

end class.
