class OpenEdge.Net.HTTP.RequestBuilder
inherits OpenEdge.Net.HTTP.ConfigBuilder
implements OpenEdge.Core.ISupportInitialize
abstract:
  define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry get.

  define abstract public property Request as openedge.net.http.ihttprequest get.

  constructor protected RequestBuilder(p1 as character, p2 as openedge.net.uri):
  end.

  method public void Initialize():
  end.

  method public void Destroy():
  end.

  method public static openedge.net.http.requestbuilder Build(p1 as character, p2 as openedge.net.uri):
  end.

  method public static openedge.net.http.ihttprequest DecorateRequest(p1 as Progress.Lang.Class, p2 as openedge.net.http.ihttprequest):
  end.

  method public static openedge.net.http.requestbuilder Delete(p1 as character):
  end.

  method public static openedge.net.http.requestbuilder Delete(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Delete(p1 as openedge.net.uri):
  end.

  method public static openedge.net.http.requestbuilder Delete(p1 as openedge.net.uri, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Delete(p1 as openedge.net.uri, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public openedge.net.http.requestbuilder ETag(p1 as character):
  end.

  method public static openedge.net.http.requestbuilder Get(p1 as character):
  end.

  method public static openedge.net.http.requestbuilder Get(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Get(p1 as openedge.net.uri):
  end.

  method public static openedge.net.http.requestbuilder Get(p1 as openedge.net.uri, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Get(p1 as openedge.net.uri, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static openedge.net.http.requestbuilder Head(p1 as character):
  end.

  method public static openedge.net.http.requestbuilder Head(p1 as openedge.net.uri):
  end.

  method public static openedge.net.http.requestbuilder Options(p1 as character):
  end.

  method public static openedge.net.http.requestbuilder Options(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Options(p1 as openedge.net.uri):
  end.

  method public static openedge.net.http.requestbuilder Options(p1 as openedge.net.uri, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Options(p1 as openedge.net.uri, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static openedge.net.http.requestbuilder Patch(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Patch(p1 as openedge.net.uri, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Patch(p1 as openedge.net.uri, p2 as Progress.Lang.Object, p3 as character):
  end.

  method static public openedge.net.http.requestbuilder Post(p1 as character):
  end.

  method static public openedge.net.http.requestbuilder Post(p1 as openedge.net.uri):
  end.
    
  method public static openedge.net.http.requestbuilder Post(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Post(p1 as openedge.net.uri, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Post(p1 as openedge.net.uri, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static openedge.net.http.requestbuilder Put(p1 as character, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Put(p1 as openedge.net.uri, p2 as Progress.Lang.Object):
  end.

  method public static openedge.net.http.requestbuilder Put(p1 as openedge.net.uri, p2 as Progress.Lang.Object, p3 as character):
  end.

  method public static openedge.net.http.requestbuilder Trace(p1 as character):
  end.

  method public static openedge.net.http.requestbuilder Trace(p1 as openedge.net.uri):
  end.

  method public openedge.net.http.requestbuilder AcceptAll():
  end.

  method public openedge.net.http.requestbuilder ContentType(p1 as character):
  end.

  method public openedge.net.http.requestbuilder AcceptContentType(p1 as character):
  end.

  method public openedge.net.http.requestbuilder AcceptFormData():
  end.

  method public openedge.net.http.requestbuilder AcceptHtml():
  end.

  method public openedge.net.http.requestbuilder AcceptJson():
  end.

  method public openedge.net.http.requestbuilder AcceptXml():
  end.

  method public openedge.net.http.requestbuilder AddCallback(p1 as Progress.Lang.Class, p2 as handle):
  end.

  method public openedge.net.http.requestbuilder AddCallback(p1 as Progress.Lang.Class, p2 as Progress.Lang.Object):
  end.
  
  method public openedge.net.http.requestbuilder AddCookie(input pCookie as OpenEdge.Net.HTTP.Cookie):
  end method.
  
  method public openedge.net.http.requestbuilder AddFormData(p1 as character, p2 as character):
  end.

  method public openedge.net.http.requestbuilder AddFormData(p1 as openedge.core.collections.istringstringmap):
  end.

  method public openedge.net.http.requestbuilder AddHeader(p1 as character, p2 as character):
  end.

  method public openedge.net.http.requestbuilder AddHeader(p1 as openedge.net.http.httpheader):
  end.

  method public openedge.net.http.requestbuilder AddJsonData(p1 as progress.json.objectmodel.jsonobject):
  end.

  method public openedge.net.http.requestbuilder AuthCallback(p1 as handle):
  end.

  method public openedge.net.http.requestbuilder AuthCallback(p1 as Progress.Lang.Object):
  end.

  method public openedge.net.http.requestbuilder HttpVersion(p1 as character):
  end.

  method public openedge.net.http.requestbuilder Id(p1 as character):
  end.

  method public openedge.net.http.requestbuilder SendRequestId():
  end.

  method protected logical SetHeaderOption(p1 as openedge.net.http.httpheader):
  end.

  method public openedge.net.http.requestbuilder SupportsAuthentication():
  end.

  method public openedge.net.http.requestbuilder SupportsProxy():
  end.

  method public openedge.net.http.requestbuilder ViaProxy(p1 as character):
  end.

  method public openedge.net.http.requestbuilder ViaProxy(p1 as openedge.net.uri):
  end.

  method public openedge.net.http.requestbuilder WithData(p1 as Progress.Lang.Object):
  end.

  method public openedge.net.http.requestbuilder WithData(p1 as Progress.Lang.Object, p2 as character):
  end.

  method public openedge.net.http.requestbuilder UsingBasicAuthentication(p1 as OpenEdge.Net.HTTP.Credentials):
  end.

  method public openedge.net.http.requestbuilder UsingCredentials(p1 as OpenEdge.Net.HTTP.Credentials):
  end.

  method public openedge.net.http.requestbuilder UsingCredentials(p1 as OpenEdge.Net.HTTP.Credentials, p2 as character, p3 as character):
  end.

  method public openedge.net.http.requestbuilder UsingDigestAuthentication(p1 as OpenEdge.Net.HTTP.Credentials):
  end.

  method public openedge.net.http.requestbuilder WithTransferEncoding(p1 as OpenEdge.Net.HTTP.TransferEncodingEnum):
  end.

end.
