class OpenEdge.Net.URI:
  define public property BaseURI as character get.

  define public property Fragment as character get. set.

  define public property Host as character get.

  define public property Password as character get. set.

  define public property Path as character get. set.

  define public property Port as integer get. set.

  define protected property QueryMap as OpenEdge.Core.Collections.IStringStringMap get.

  define public property QueryString as character get.

  define public property RelativeURI as character get.

  define public property Scheme as character get.

  define public property User as character get. set.

  constructor static URI():
  end.

  constructor public URI(p1 as character):
  end.

  constructor public URI(p1 as character, p2 as character):
  end.

  constructor public URI(p1 as character, p2 as character, p3 as integer):
  end.

  constructor public URI(p1 as character, p2 as character, p3 as integer, p4 as character, p5 as OpenEdge.Core.Collections.IStringStringMap, p6 as character):
  end.

  method public void AddPathSegment(p1 as character):
  end.

  method public void AddQuery(p1 as character):
  end.

  method public void AddQuery(p1 as character, p2 as character):
  end.

  method public character Decode():
  end.

  method public static character Decode(p1 as character):
  end.

  method public static character Decode(p1 as character, p2 as character):
  end.

  method public static character Decode(p1 as OpenEdge.Core.String):
  end.

  method public character Encode():
  end.

  method public static character Encode(p1 as character, p2 as OpenEdge.Net.UriEncodingTypeEnum):
  end.
  
  method public static character Encode(p1 as character, p2 as OpenEdge.Net.UriEncodingTypeEnum, p3 as logical):
  end.

  method public static character Encode(p1 as OpenEdge.Net.URI):
  end.

  method public static character EncodeCookie(p1 as character):
  end.

  method public static character EncodeCookie(p1 as OpenEdge.Core.String):
  end.

  method public character EncodeFragment():
  end.

  method public static character EncodeFragment(p1 as character):
  end.

  method public static character EncodeFragment(p1 as OpenEdge.Core.String):
  end.

  method public character EncodeHost():
  end.

  method public static character EncodeHost(p1 as character):
  end.

  method public static character EncodeHost(p1 as OpenEdge.Core.String):
  end.

  method public static character EncodePath(p1 as character):
  end.

  method public static character EncodePath(p1 as OpenEdge.Core.String):
  end.

  method public character EncodeQuery():
  end.

  method public static character EncodeQuery(p1 as character):
  end.

  method public static character EncodeQuery(p1 as OpenEdge.Core.String):
  end.

  method public static character EncodeQuery(p1 as OpenEdge.Net.URI):
  end.

  method public character EncodeScheme():
  end.

  method public static character EncodeScheme(p1 as character):
  end.

  method public static character EncodeScheme(p1 as OpenEdge.Core.String):
  end.

  method public static character EncodeString(p1 as character):
  end.

  method public static character EncodeString(p1 as OpenEdge.Core.String):
  end.

  method public static character EncodeURI(p1 as OpenEdge.Net.URI):
  end.

  method public character EncodeUserinfo():
  end.

  method public static character EncodeUserinfo(p1 as character):
  end.

  method public static character EncodeUserinfo(p1 as OpenEdge.Core.String):
  end.

  method public integer GetPathSegments(output p1 as character extent):
  end.
  
  method public OpenEdge.Core.Collections.IStringStringMap GetQueryMap():
  end.

  method public integer GetQueryNames(output p1 as character extent):
  end.

  method public character GetQueryValue(p1 as character):
  end.
  
  method public logical HasQueryName(p1 as character):
  end.

  method public static Openedge.Net.URI Parse(p1 as character):
  end.
  
  method public static Openedge.Net.URI Parse(p1 as character, p2 as logical):
  end.

  method public logical RemoveQuery(p1 as character):
  end.

  method public void SetPath(p1 as character extent):
  end.
  
  method public void SetQueryMap(p1 as OpenEdge.Core.Collections.IStringStringMap):
  end.

  method public override character ToString():
  end.
end.
