class ComponentFactory.Krypton.Toolkit.VisualContextMenu
   inherits ComponentFactory.Krypton.Toolkit.VisualPopup
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods.IOleControl, System.Windows.Forms.UnsafeNativeMethods.IOleObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods.IOleWindow, System.Windows.Forms.UnsafeNativeMethods.IViewObject, System.Windows.Forms.UnsafeNativeMethods.IViewObject2, System.Windows.Forms.UnsafeNativeMethods.IPersist, System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl:

   def public property CloseReason as System.Windows.Forms.ToolStripDropDownCloseReason
      get.

   def public property ShowHorz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH
      get.
      set.

   def public property ShowVert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV
      get.
      set.

   def public property ViewContextMenuManager as ComponentFactory.Krypton.Toolkit.ViewContextMenuManager
      get.

   def protected property Redirector as ComponentFactory.Krypton.Toolkit.PaletteRedirect
      get.

   constructor public VisualContextMenu(input provider as ComponentFactory.Krypton.Toolkit.IContextMenuProvider, input items as ComponentFactory.Krypton.Toolkit.KryptonContextMenuCollection, input keyboardActivated as logical):
   end constructor.

   constructor public VisualContextMenu(input contextMenu as ComponentFactory.Krypton.Toolkit.KryptonContextMenu, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input paletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode, input redirector as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectorImages as ComponentFactory.Krypton.Toolkit.PaletteRedirectContextMenu, input items as ComponentFactory.Krypton.Toolkit.KryptonContextMenuCollection, input enabled as logical, input keyboardActivated as logical):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final override void Show():
   end method.

   method public final void Show(input screenPt as System.Drawing.Point):
   end method.

   method public final override void Show(input screenRect as System.Drawing.Rectangle):
   end method.

   method public final void Show(input screenRect as System.Drawing.Rectangle, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV):
   end method.

   method public final void Show(input screenRect as System.Drawing.Rectangle, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV, input bounce as logical, input constrain as logical):
   end method.

   method public final void ShowFixed(input screenRect as System.Drawing.Rectangle, input horz as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionH, input vert as ComponentFactory.Krypton.Toolkit.KryptonContextMenuPositionV):
   end method.

   method public override logical DoesStackedClientMouseDownBecomeCurrent(input m as System.Windows.Forms.Message, input pt as System.Drawing.Point):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected void OnPaletteNeedPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

end class.
