class ComponentFactory.Krypton.Toolkit.VisualPopup
   inherits System.Windows.Forms.ContainerControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods.IOleControl, System.Windows.Forms.UnsafeNativeMethods.IOleObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods.IOleWindow, System.Windows.Forms.UnsafeNativeMethods.IViewObject, System.Windows.Forms.UnsafeNativeMethods.IViewObject2, System.Windows.Forms.UnsafeNativeMethods.IPersist, System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl:

   def public property AllowBecomeActiveWhenCurrent as logical
      get.

   def public property Renderer as ComponentFactory.Krypton.Toolkit.IRenderer
      get.
      set.

   def public property DismissedDelegate as System.EventHandler
      get.
      set.

   def public property KeyboardInert as logical
      get.

   def protected property ViewManager as ComponentFactory.Krypton.Toolkit.ViewManager
      get.
      set.

   def protected property NeedPaintDelegate as ComponentFactory.Krypton.Toolkit.NeedPaintHandler
      get.

   def protected property EvalInvokePaint as logical
      get.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   constructor public VisualPopup(input shadow as logical):
   end constructor.

   constructor public VisualPopup(input renderer as ComponentFactory.Krypton.Toolkit.IRenderer, input shadow as logical):
   end constructor.

   constructor public VisualPopup(input viewManager as ComponentFactory.Krypton.Toolkit.ViewManager, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer, input shadow as logical):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public void Show(input screenRect as System.Drawing.Rectangle):
   end method.

   method public void Show(input parentScreenRect as System.Drawing.Rectangle, input popupSize as System.Drawing.Size):
   end method.

   method public void DefineShadowPaths(input path1 as System.Drawing.Drawing2D.GraphicsPath, input path2 as System.Drawing.Drawing2D.GraphicsPath, input path3 as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public logical DoesCurrentMouseDownEndAllTracking(input m as System.Windows.Forms.Message, input pt as System.Drawing.Point):
   end method.

   method public logical DoesCurrentMouseDownContinueTracking(input m as System.Windows.Forms.Message, input pt as System.Drawing.Point):
   end method.

   method public logical DoesStackedClientMouseDownBecomeCurrent(input m as System.Windows.Forms.Message, input pt as System.Drawing.Point):
   end method.

   method public logical DoesMouseDownGetEaten(input m as System.Windows.Forms.Message, input pt as System.Drawing.Point):
   end method.

   method public logical AllowMouseMove(input m as System.Windows.Forms.Message, input pt as System.Drawing.Point):
   end method.

   method public final System.Windows.Forms.ToolStripRenderer CreateToolStripRenderer():
   end method.

   method public ComponentFactory.Krypton.Toolkit.IPalette GetResolvedPalette():
   end method.

   method public final void PerformNeedPaint(input needLayout as logical):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.ViewManager GetViewManager():
   end method.

   method protected void OnNeedPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
