class ComponentFactory.Krypton.Workspace.KryptonWorkspaceSequence
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, ComponentFactory.Krypton.Workspace.IWorkspaceItem:

   def public property Children as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCollection
      get.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property StarSize as character
      get.
      set.

   def public property UniqueName as character
      get.
      set.

   def public property WorkspaceParent as ComponentFactory.Krypton.Workspace.IWorkspaceItem
      get.

   def public property WorkspaceActualSize as System.Drawing.Size
      get.

   def public property WorkspacePreferredSize as System.Drawing.Size
      get.

   def public property WorkspaceStarSize as ComponentFactory.Krypton.Workspace.StarSize
      get.

   def public property WorkspaceMinSize as System.Drawing.Size
      get.

   def public property WorkspaceMaxSize as System.Drawing.Size
      get.

   def public property WorkspaceAllowResizing as logical
      get.

   def public property WorkspaceVisible as logical
      get.

   def public property DisposeOnRemove as logical
      get.

   def public property WorkspaceControl as ComponentFactory.Krypton.Workspace.KryptonWorkspace
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   def public event MaximizeRestoreClicked signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public KryptonWorkspaceSequence():
   end constructor.

   constructor public KryptonWorkspaceSequence(input orientation as System.Windows.Forms.Orientation):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public override character ToString():
   end method.

   method public final void Hide():
   end method.

   method public final void Show():
   end method.

   method public final void ResetUniqueName():
   end method.

   method public final void Compact(input flags as ComponentFactory.Krypton.Workspace.CompactFlags):
   end method.

   method public final void SaveToXml(input workspace as ComponentFactory.Krypton.Workspace.KryptonWorkspace, input xmlWriter as System.Xml.XmlWriter):
   end method.

   method public final void LoadFromXml(input workspace as ComponentFactory.Krypton.Workspace.KryptonWorkspace, input xmlReader as System.Xml.XmlReader, input existingPages as ComponentFactory.Krypton.Navigator.UniqueNameToPage):
   end method.

   method public final void DebugOutput(input indent as integer):
   end method.

   method protected final void OnChildrenPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected final void OnChildrenMaximizeRestoreClicked(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void OnPropertyChanged(input property as character):
   end method.

   method protected void OnPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
