class Infragistics.UltraChart.Resources.Appearance.AreaChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property LineThickness as integer
      get.
      set.

   def public property LineStartCapStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property LineEndCapStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property LineDrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property MidPointAnchors as logical
      get.
      set.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property ChartText as Infragistics.UltraChart.Resources.Appearance.ChartTextCollection
      get.

   def public property TreatDateTimeAsString as logical
      get.
      set.

   def public property LineAppearances as Infragistics.UltraChart.Resources.Appearance.LineAppearanceCollection
      get.

   def public property EmptyStyles as Infragistics.UltraChart.Resources.Appearance.EmptyAppearanceCollection
      get.

   constructor public AreaChartAppearance():
   end constructor.

   constructor public AreaChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeLineThickness():
   end method.

   method public final void ResetLineThickness():
   end method.

   method protected final logical ShouldSerializeLineStartCapStyle():
   end method.

   method public final void ResetLineStartCapStyle():
   end method.

   method protected final logical ShouldSerializeLineEndCapStyle():
   end method.

   method public final void ResetLineEndCapStyle():
   end method.

   method protected final logical ShouldSerializeDrawStyle():
   end method.

   method public final void ResetDrawStyle():
   end method.

   method protected final logical ShouldSerializeMidPointAnchors():
   end method.

   method public final void ResetMidPointAnchors():
   end method.

   method protected final logical ShouldSerializeNullHandling():
   end method.

   method public final void ResetNullHandling():
   end method.

   method protected final logical ShouldSerializeChartText():
   end method.

   method public final void ResetChartText():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public final void ResetTreatDateTimeAsString():
   end method.

   method protected final logical ShouldSerializeTreatDateTimeAsString():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method protected logical ShouldSerializeLineAppearances():
   end method.

   method public void ResetLineAppearances():
   end method.

   method protected logical ShouldSerializeEmptyStyles():
   end method.

   method public void ResetEmptyStyles():
   end method.

end class.
