class Infragistics.UltraChart.Resources.Appearance.SplineAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.AppearanceHelper
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Thickness as integer
      get.
      set.

   def public property DrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property SplineTension as decimal
      get.
      set.

   constructor public SplineAppearance():
   end constructor.

   constructor public SplineAppearance(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeThickness():
   end method.

   method public final void ResetThickness():
   end method.

   method protected final logical ShouldSerializeDrawStyle():
   end method.

   method public final void ResetDrawStyle():
   end method.

   method protected final logical ShouldSerializeSplineTension():
   end method.

   method public final void ResetSplineTension():
   end method.

   method public final logical ShouldSerialize():
   end method.

end class.
