class Infragistics.UltraChart.Resources.Appearance.TitleAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, Infragistics.UltraChart.Resources.Appearance.ITextOrientation, Infragistics.UltraChart.Resources.Appearance.ITextAlignment:

   def public property Extent as integer
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Margins as Infragistics.UltraChart.Resources.Appearance.MarginsAppearance
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property FontColor as System.Drawing.Color
      get.
      set.

   def public property WrapText as logical
      get.
      set.

   def public property HorizontalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property VerticalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property FontSizeBestFit as logical
      get.
      set.

   def public property Location as Infragistics.UltraChart.Shared.Styles.TitleLocation
      get.
      set.

   def public property Orientation as Infragistics.UltraChart.Shared.Styles.TextOrientation
      get.
      set.

   def public property OrientationAngle as integer
      get.
      set.

   def public property ClipText as logical
      get.
      set.

   def public property ReverseText as logical
      get.
      set.

   def public property Flip as logical
      get.
      set.

   constructor public TitleAppearance():
   end constructor.

   constructor public TitleAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent, input location as Infragistics.UltraChart.Shared.Styles.TitleLocation, input orientation as Infragistics.UltraChart.Shared.Styles.TextOrientation):
   end constructor.

   method public final void SetTitleLocation(input location as Infragistics.UltraChart.Shared.Styles.TitleLocation):
   end method.

   method protected final logical ShouldSerializeExtent():
   end method.

   method public final void ResetExtent():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected final logical ShouldSerializeText():
   end method.

   method public final void ResetText():
   end method.

   method protected final logical ShouldSerializeFont():
   end method.

   method public final void ResetFont():
   end method.

   method protected final logical ShouldSerializeFontColor():
   end method.

   method public final void ResetFontColor():
   end method.

   method protected final logical ShouldSerializeWrapText():
   end method.

   method public final void ResetWrapText():
   end method.

   method protected final logical ShouldSerializeHorizontalAlign():
   end method.

   method public final void ResetHorizontalAlign():
   end method.

   method protected final logical ShouldSerializeVerticalAlign():
   end method.

   method public final void ResetVerticalAlign():
   end method.

   method protected final logical ShouldSerializeFontSizeBestFit():
   end method.

   method public final void ResetFontSizeBestFit():
   end method.

   method public final Infragistics.UltraChart.Shared.Styles.TextOrientation GetTextOrientation():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeLocation():
   end method.

   method public final void ResetLocation():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method protected final logical ShouldSerializeOrientation():
   end method.

   method public final void ResetOrientation():
   end method.

   method protected logical ShouldSerializeOrientationAngle():
   end method.

   method public void ResetOrientationAngle():
   end method.

   method protected logical ShouldSerializeClipText():
   end method.

   method public void ResetClipText():
   end method.

   method protected logical ShouldSerializeReverseText():
   end method.

   method public void ResetReverseText():
   end method.

   method protected logical ShouldSerializeFlip():
   end method.

   method public void ResetFlip():
   end method.

end class.
