class Progress.Open4GL.Proxy.Connection
   inherits System.Object
   implements Progress.Open4GL.DynamicAPI.IPoolProps, System.IDisposable:

   def public property Url as character
      get.
      set.

   def public property Userid as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property AppServerInfo as character
      get.
      set.

   def public property WaitIfBusy as logical
      get.
      set.

   def public property ProxyHost as character
      get.
      set.

   def public property ProxyPort as integer
      get.
      set.

   def public property NoHostVerify as logical
      get.
      set.

   def public property ProxyUserId as character
      get.
      set.

   def public property ProxyPassword as character
      get.
      set.

   def public property NoSslSessionReuse as logical
      get.
      set.

   def public property SessionModel as integer
      get.
      set.

   def public property InitialConnections as integer
      get.
      set.

   def public property MinConnections as integer
      get.
      set.

   def public property MaxConnections as integer
      get.
      set.

   def public property IdleConnectionTimeout as integer
      get.
      set.

   def public property ConnectionLifetime as integer
      get.
      set.

   def public property NsClientMinPort as integer
      get.
      set.

   def public property NsClientMaxPort as integer
      get.
      set.

   def public property NsClientPortRetry as integer
      get.
      set.

   def public property NsClientPortRetryInterval as integer
      get.
      set.

   def public property NsClientPicklistSize as integer
      get.
      set.

   def public property NsClientPicklistExpiration as integer
      get.
      set.

   def public property RequestWaitTimeout as integer
      get.
      set.

   def public property UUID as character
      get.
      set.

   def public property LogfileName as character
      get.
      set.

   def public property LoggingLevel as integer
      get.
      set.

   def public property LogEntryTypes as character
      get.
      set.

   def public property SocketTimeout as integer
      get.
      set.

   def public property TcpClientRetry as integer
      get.
      set.

   def public property TcpClientRetryInterval as integer
      get.
      set.

   def public property AppServerKeepalive as character
      get.
      set.

   def public property ClientASKActivityTimeout as integer
      get.
      set.

   def public property ClientASKResponseTimeout as integer
      get.
      set.

   def public property CompressionEnabled as logical
      get.
      set.

   def public property CompressionThreshold as integer
      get.
      set.

   def public property CompressionLevel as integer
      get.
      set.

   def public property Properties as System.Collections.Hashtable
      get.
      set.

   constructor public Connection(input parent as Progress.Open4GL.Proxy.Connection):
   end constructor.

   constructor public Connection(input urlString as character, input userId as character, input password as character, input appServerInfo as character):
   end constructor.

   constructor public Connection(input userId as character, input password as character, input appServerInfo as character):
   end constructor.

   method public final Progress.Open4GL.DynamicAPI.SessionPool GetSessionPool():
   end method.

   method public final void AddReference(input sessionPool as Progress.Open4GL.DynamicAPI.SessionPool):
   end method.

   method public final void ReleaseConnection():
   end method.

   method public final void Dispose():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void SetProperty(input propName as character, input propValue as System.Object):
   end method.

   method public final System.Object SetStringProperty(input propName as character, input propValue as character):
   end method.

   method public final System.Object SetIntProperty(input propName as character, input propValue as integer):
   end method.

   method public final System.Object SetLongProperty(input propName as character, input propValue as int64):
   end method.

   method public final System.Object SetBooleanProperty(input propName as character, input propValue as logical):
   end method.

   method public final System.Object GetProperty(input propName as character):
   end method.

   method public final character GetStringProperty(input propName as character):
   end method.

   method public final integer GetIntProperty(input propName as character):
   end method.

   method public final int64 GetLongProperty(input propName as character):
   end method.

   method public final logical GetBooleanProperty(input propName as character):
   end method.

end class.
