class RunDataPA.PAConnection
   inherits System.Object:

   def public property Connected as logical
      get.

   def public property ErrorString as character
      get.
      set.

   def public property Connection as character
      get.
      set.

   def public property URL as character
      get.
      set.

   def public property UserID as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property AppServerInfo as character
      get.
      set.

   def public property PromptUser as logical
      get.
      set.

   def public property System_Renamed as character
      get.
      set.

   def public property DynamicsSecurity as logical
      get.
      set.

   def public property LanguageCode as character
      get.
      set.

   def public property LoginOrganisationCode as character
      get.
      set.

   def public property LoginDate as System.Object
      get.
      set.

   def public property StandAlone as logical
      get.
      set.

   def public property DynamicsContextCreated as logical
      get.

   def public property PasswordEncoded as logical
      get.
      set.

   def public property Filter_Renamed as logical
      get.
      set.

   def public property AllowProgressConnection as logical
      get.
      set.

   def public property SystemsRecordset as ADODB.Recordset
      get.
      set.

   def public property UserCancelled as logical
      get.

   def public property SessionFree as logical
      get.
      set.

   def public property EnableTracing as logical
      get.
      set.

   def public property LoggingLevel as integer
      get.
      set.

   def public property LogFileName as character
      get.
      set.

   def public property TcpClientRetry as int64
      get.
      set.

   def public property TcpClientRetryInterval as int64
      get.
      set.

   def public property RootObject as System.Object
      get.
      set.

   def public event ConnectFail signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LoginInformationRequest signature void (input sender as System.Object, input e as RunDataPA.LoginInformationRequiredEventArgs).

   def public event BeforeDisconnect signature void (input bCancel as logical).

   def public event AfterDisconnect signature void ().

   def public event BeforeConnect signature void (input bCancel as logical).

   def public event AfterConnect signature void ().

   constructor public PAConnection(input InitialRootObject as System.Object):
   end constructor.

   method protected final override void Finalize():
   end method.

   method public final logical Connect(input ErrorMessage as character):
   end method.

   method public final logical Disconnect():
   end method.

   method public final void TerminateStructure():
   end method.

   method public final logical DynamicsLogin(input ErrorMessage as character):
   end method.

end class.
