class System.Drawing.Drawing2D.CustomLineCap
   inherits System.MarshalByRefObject
   implements System.ICloneable, System.IDisposable:

   def public property StrokeJoin as System.Drawing.Drawing2D.LineJoin
      get.
      set.

   def public property BaseCap as System.Drawing.Drawing2D.LineCap
      get.
      set.

   def public property BaseInset as decimal
      get.
      set.

   def public property WidthScale as decimal
      get.
      set.

   constructor public CustomLineCap(input fillPath as System.Drawing.Drawing2D.GraphicsPath, input strokePath as System.Drawing.Drawing2D.GraphicsPath):
   end constructor.

   constructor public CustomLineCap(input fillPath as System.Drawing.Drawing2D.GraphicsPath, input strokePath as System.Drawing.Drawing2D.GraphicsPath, input baseCap as System.Drawing.Drawing2D.LineCap):
   end constructor.

   constructor public CustomLineCap(input fillPath as System.Drawing.Drawing2D.GraphicsPath, input strokePath as System.Drawing.Drawing2D.GraphicsPath, input baseCap as System.Drawing.Drawing2D.LineCap, input baseInset as decimal):
   end constructor.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method protected final override void Finalize():
   end method.

   method public final override System.Object Clone():
   end method.

   method public final void SetStrokeCaps(input startCap as System.Drawing.Drawing2D.LineCap, input endCap as System.Drawing.Drawing2D.LineCap):
   end method.

   method public final void GetStrokeCaps(input startCap as System.Drawing.Drawing2D.LineCap, input endCap as System.Drawing.Drawing2D.LineCap):
   end method.

end class.
