class System.Security.AccessControl.GenericSecurityDescriptor
   inherits System.Object
   abstract:

   def public static property Revision as integer
      get.

   def public abstract property ControlFlags as System.Security.AccessControl.ControlFlags
      get.

   def public abstract property Owner as System.Security.Principal.SecurityIdentifier
      get.
      set.

   def public abstract property Group as System.Security.Principal.SecurityIdentifier
      get.
      set.

   def public property BinaryLength as integer
      get.

   constructor protected GenericSecurityDescriptor():
   end constructor.

   method public final static logical IsSddlConversionSupported():
   end method.

   method public final character GetSddlForm(input includeSections as System.Security.AccessControl.AccessControlSections):
   end method.

   method public final void GetBinaryForm(input binaryForm as System.Byte extent, input offset as integer):
   end method.

end class.
