class System.Security.PermissionSet
   inherits System.Object
   implements System.Security.ISecurityEncodable, System.Collections.ICollection, System.Collections.IEnumerable, System.Security.IStackWalk, System.Runtime.Serialization.IDeserializationCallback:

   def public property SyncRoot as System.Object
      get.

   def public property IsSynchronized as logical
      get.

   def public property IsReadOnly as logical
      get.

   def public property Count as integer
      get.

   constructor public PermissionSet(input state as System.Security.Permissions.PermissionState):
   end constructor.

   constructor public PermissionSet(input permSet as System.Security.PermissionSet):
   end constructor.

   method public void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public final logical IsEmpty():
   end method.

   method public final System.Security.IPermission GetPermission(input permClass as System.Type):
   end method.

   method protected System.Security.IPermission GetPermissionImpl(input permClass as System.Type):
   end method.

   method public final System.Security.IPermission SetPermission(input perm as System.Security.IPermission):
   end method.

   method protected System.Security.IPermission SetPermissionImpl(input perm as System.Security.IPermission):
   end method.

   method public final System.Security.IPermission AddPermission(input perm as System.Security.IPermission):
   end method.

   method protected System.Security.IPermission AddPermissionImpl(input perm as System.Security.IPermission):
   end method.

   method public final System.Security.IPermission RemovePermission(input permClass as System.Type):
   end method.

   method protected System.Security.IPermission RemovePermissionImpl(input permClass as System.Type):
   end method.

   method public final logical IsUnrestricted():
   end method.

   method public final logical IsSubsetOf(input target as System.Security.PermissionSet):
   end method.

   method public final System.Security.PermissionSet Intersect(input other as System.Security.PermissionSet):
   end method.

   method public final System.Security.PermissionSet Union(input other as System.Security.PermissionSet):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final void Demand():
   end method.

   method public final void Assert():
   end method.

   method public final void Deny():
   end method.

   method public final void PermitOnly():
   end method.

   method public System.Security.PermissionSet Copy():
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method protected System.Collections.IEnumerator GetEnumeratorImpl():
   end method.

   method public override character ToString():
   end method.

   method public void FromXml(input et as System.Security.SecurityElement):
   end method.

   method public System.Security.SecurityElement ToXml():
   end method.

   method public final static System.Byte extent ConvertPermissionSet(input inFormat as character, input inData as System.Byte extent, input outFormat as character):
   end method.

   method public final logical ContainsNonCodeAccessPermissions():
   end method.

   method public final static void RevertAssert():
   end method.

end class.
