class System.Security.Principal.SecurityIdentifier
   inherits System.Security.Principal.IdentityReference
   implements System.IComparable
   final:

   def public static variable MinBinaryLength as integer.

   def public static variable MaxBinaryLength as integer.

   def public property BinaryLength as integer
      get.

   def public property AccountDomainSid as System.Security.Principal.SecurityIdentifier
      get.

   def public override property Value as character
      get.

   constructor public SecurityIdentifier(input sddlForm as character):
   end constructor.

   constructor public SecurityIdentifier(input binaryForm as System.Byte extent, input offset as integer):
   end constructor.

   constructor public SecurityIdentifier(input binaryForm as System.IntPtr):
   end constructor.

   constructor public SecurityIdentifier(input sidType as System.Security.Principal.WellKnownSidType, input domainSid as System.Security.Principal.SecurityIdentifier):
   end constructor.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final logical Equals(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public override logical IsValidTargetType(input targetType as System.Type):
   end method.

   method public final logical IsAccountSid():
   end method.

   method public override System.Security.Principal.IdentityReference Translate(input targetType as System.Type):
   end method.

   method public final integer CompareTo(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

   method public final logical IsWellKnown(input type as System.Security.Principal.WellKnownSidType):
   end method.

   method public final void GetBinaryForm(input binaryForm as System.Byte extent, input offset as integer):
   end method.

   method public final logical IsEqualDomainSid(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

end class.
