class System.Windows.Forms.ToolStripDropDownButton
   inherits System.Windows.Forms.ToolStripDropDownItem
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement:

   def public property AutoToolTip as logical
      get.
      set.

   def protected override property DefaultAutoToolTip as logical
      get.

   def public property ShowDropDownArrow as logical
      get.
      set.

   constructor public ToolStripDropDownButton():
   end constructor.

   constructor public ToolStripDropDownButton(input text as character):
   end constructor.

   constructor public ToolStripDropDownButton(input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripDropDownButton(input text as character, input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripDropDownButton(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end constructor.

   constructor public ToolStripDropDownButton(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler, input name as character):
   end constructor.

   constructor public ToolStripDropDownButton(input text as character, input image as System.Drawing.Image, input dropDownItems as System.Windows.Forms.ToolStripItem extent):
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override System.Windows.Forms.ToolStripDropDown CreateDefaultDropDown():
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

end class.
