class System.Xml.Schema.XmlSchema
   inherits System.Xml.Schema.XmlSchemaObject:

   def public static variable Namespace as character.

   def public static variable InstanceNamespace as character.

   def public property AttributeFormDefault as System.Xml.Schema.XmlSchemaForm
      get.
      set.

   def public property BlockDefault as System.Xml.Schema.XmlSchemaDerivationMethod
      get.
      set.

   def public property FinalDefault as System.Xml.Schema.XmlSchemaDerivationMethod
      get.
      set.

   def public property ElementFormDefault as System.Xml.Schema.XmlSchemaForm
      get.
      set.

   def public property TargetNamespace as character
      get.
      set.

   def public property Version as character
      get.
      set.

   def public property Includes as System.Xml.Schema.XmlSchemaObjectCollection
      get.

   def public property Items as System.Xml.Schema.XmlSchemaObjectCollection
      get.

   def public property IsCompiled as logical
      get.

   def public property Attributes as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property AttributeGroups as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property SchemaTypes as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property Elements as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property Id as character
      get.
      set.

   def public property UnhandledAttributes as System.Xml.XmlAttribute extent
      get.
      set.

   def public property Groups as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property Notations as System.Xml.Schema.XmlSchemaObjectTable
      get.

   constructor public XmlSchema():
   end constructor.

   method public final static System.Xml.Schema.XmlSchema Read(input reader as System.IO.TextReader, input validationEventHandler as System.Xml.Schema.ValidationEventHandler):
   end method.

   method public final static System.Xml.Schema.XmlSchema Read(input stream as System.IO.Stream, input validationEventHandler as System.Xml.Schema.ValidationEventHandler):
   end method.

   method public final static System.Xml.Schema.XmlSchema Read(input reader as System.Xml.XmlReader, input validationEventHandler as System.Xml.Schema.ValidationEventHandler):
   end method.

   method public final void Write(input stream as System.IO.Stream):
   end method.

   method public final void Write(input stream as System.IO.Stream, input namespaceManager as System.Xml.XmlNamespaceManager):
   end method.

   method public final void Write(input writer as System.IO.TextWriter):
   end method.

   method public final void Write(input writer as System.IO.TextWriter, input namespaceManager as System.Xml.XmlNamespaceManager):
   end method.

   method public final void Write(input writer as System.Xml.XmlWriter):
   end method.

   method public final void Write(input writer as System.Xml.XmlWriter, input namespaceManager as System.Xml.XmlNamespaceManager):
   end method.

   method public final void Compile(input validationEventHandler as System.Xml.Schema.ValidationEventHandler):
   end method.

   method public final void Compile(input validationEventHandler as System.Xml.Schema.ValidationEventHandler, input resolver as System.Xml.XmlResolver):
   end method.

end class.
