class System.Xml.Schema.XmlSchemaException
   inherits System.SystemException
   implements System.Runtime.Serialization.ISerializable, System.Runtime.InteropServices._Exception:

   def public property SourceUri as character
      get.

   def public property LineNumber as integer
      get.

   def public property LinePosition as integer
      get.

   def public property SourceSchemaObject as System.Xml.Schema.XmlSchemaObject
      get.

   def public property Message as character
      get.

   constructor protected XmlSchemaException(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor public XmlSchemaException():
   end constructor.

   constructor public XmlSchemaException(input message as character):
   end constructor.

   constructor public XmlSchemaException(input message as character, input innerException as System.Exception):
   end constructor.

   constructor public XmlSchemaException(input message as character, input innerException as System.Exception, input lineNumber as integer, input linePosition as integer):
   end constructor.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

end class.
