interface OpenEdge.DataAdmin.Binding.IDataDefinitionLoader:

   method public void AddError (input a as character).

	method public void AddError (input e as Progress.Lang.Error).
 	
	method public void AddField (input a as character, input b as character, input h as handle, input i as integer).
 	
	method public void AddIndex (input a as character, input b as character, input h as handle, input i as integer, input t as logical).
 	
	method public void AddPhase2Error (input a as character).
 	
	method public void AddSequence (input a as character, input h as handle).
 	
	method public void AddTable (input a as character, input h as handle, input i as integer).
 	
	method public void AddWarning (input a as character).
 	
	method public logical CurrentTableAttributes ().

	method public character FieldNewName (input a as character, input b as character).
 	
	method public character FieldOldName (input a as character, input b as character).
 	
	method public character IndexNewName (input a as character, input b as character).
 	
	method public character IndexOldName (input a as character, input b as character).
 	
	method public logical IsNewTable (input a as character).
 	
	method public Progress.Lang.AppError RemoveError ().
 	
	method public character RemoveErrorMessages ().
 	
	method public Progress.Lang.AppError RemoveWarning ().
 	
	method public character RemoveWarningMessages ().
 	
	method public void RenameField (input a as character, input b as character, input c as character).
 	
	method public void RenameIndex (input a as character, input b as character, input c as character).
 	
	method public void RenameSequence (input a as character, input b as character).
 	
	method public void RenameTable (input a as character, input b as character).
 	
	method public character SequenceNewName (input a as character).
 	
	method public character SequenceOldName (input a as character).
 	
	method public character TableNewName (input a as character).
 	
	method public character TableOldName (input a as character).
 
 	define public property AdingChildToNewTable as logical get. set.
 	define public property Error as Progress.Lang.AppError get. set.
 	define public property IsReader as logical get. set.
 	define public property Warning as Progress.Lang.AppError get. set.
 	
end interface.