interface OpenEdge.DataAdmin.ICdcTablePolicy
inherits OpenEdge.DataAdmin.IPartitionParent:

   method public logical AddFieldsFromData ().
   
   method public logical AddFieldsFromData (input a as character).
   
   method public logical AddFieldsFromData (input a as character, input b as character).
   
   define public property CdcPolicyId as character get. set.
   define public property ChangeTable as character get. set.
   define public property ChangeTableOwner as character get. set.
   define public property DataArea as OpenEdge.DataAdmin.IArea get. set.
   define public property EncryptPolicy as logical get. set.
   define public property FieldPolicies as OpenEdge.DataAdmin.ICdcFieldPolicySet get. set.
   define public property Fields as OpenEdge.DataAdmin.IFieldList get. set.
   define public property IdentifyingField as logical get. set.
   define public property IndexArea as OpenEdge.DataAdmin.IArea get. set.
   define public property Indexes as OpenEdge.DataAdmin.IIndexSet get. set.
   define public property Instance as OpenEdge.DataAdmin.Internal.Util.CdcTablePolicyInstanceEnum get. set.
   define public property LastModified as datetime-tz get. set.
   define public property Level as OpenEdge.DataAdmin.CdcTablePolicyLevelEnum get. set.
   define public property Misc as character get. set.
   define public property NumFields as integer get. set.
   define public property State as OpenEdge.DataAdmin.CdcTablePolicyStateEnum get. set.
   define public property Table as OpenEdge.DataAdmin.ITable get. set.
      
end interface.