class OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder inherits OpenEdge.Net.HTTP.ConfigBuilder:
    define abstract public property Writer as OpenEdge.Net.HTTP.Filter.Payload.MessageWriter no-undo get. 
    define static public property Registry as OpenEdge.Net.HTTP.BuilderRegistry no-undo get. private set.
        
    method static public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Build(input poMessage as OpenEdge.Net.HTTP.IHttpMessage,
                                                    input poRegistry as OpenEdge.Net.HTTP.BuilderRegistry):
    end.

    method static public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Build(input pcContentType as character,
                                                    input poRegistry as BuilderRegistry):
    end.
    
    constructor public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder(input pcContentType as character, 
                                            input poRegistry as BuilderRegistry):
    end.
    
    method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder WriteTo(input poEntity as Progress.Lang.Object):
    end.

    method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option(input pcName as character,
                                                      input pcValue as character):
    end.                                                     

    method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option(input pcName as character,
                                                      input poValue as Progress.Lang.Object):
        
    end.                                                     

    method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option(input pcName as character,
                                                      input piValue as int64):
    end.                                                     

    method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option(input pcName as character,
                                                      input pdValue as decimal):
        
    end.                                                     

    method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option(input pcName as character,
                                                      input plValue as logical):
        
    end.
    
    method protected class Progress.Lang.Class GetWriter(input pcContentType as character):
    end.
    
end.
