class OpenEdge.Net.HTTP.HttpClient
implements OpenEdge.Net.HTTP.IHttpClient, 
           OpenEdge.Core.ISupportInitialize, 
           OpenEdge.Logging.ISupportLogging:

  method public void AddUserAgent (input p1 as OpenEdge.Net.HTTP.IHttpRequest).
  end.
  
  method public void Destroy ().
  end.
  
  method public OpenEdge.Net.HTTP.IHttpResponse Execute(p1 as OpenEdge.Net.HTTP.IHttpRequest).
  end.

  method public void Initialize ().
  end.
  
  method static public OpenEdge.Net.HTTP.HttpClient Instance ().
  end.

  constructor public HttpClient (input p1 as OpenEdge.Net.HTTP.IHttpClientLibrary).
  end constructor.

  define public property ClientName as character get. set.
  define public property ClientVersion as character get. set.
  define public property Logger as OpenEdge.Logging.ILogWriter get. set.
  define public property Options as OpenEdge.Net.HTTP.ClientOptions get. set.

end.
